Infra Chapril - Anomalie #5597

Icinga cassé
09/09/2021 09:46 PM - Christian P. Momon

Status: Fermé Start date: 09/09/2021
Priority: Elevée Due date:

Assignee: Romain H. % Done: 0%
Category: Supervision Estimated time: 0.00 hour
Target version: Backlog

Description

En allant sur https://icinga.chapril.org/ on tombe sur une erreur :

SQLSTATE[42S02] : Base table or view not found: 1146 Table 'icingaweb2.icingaweb_rememberme' doesn'
t exist

#0 /usr/share/icinga-php/ipl/vendor/ipl/sqgl/src/Connection.php (401): PDO->prepare (String)

#1 /usr/share/icinga-php/ipl/vendor/ipl/sqgl/src/Connection.php (489): ipl\Sgl\Connection->prepexec (
String)

#2 /usr/share/php/Icinga/Web/RememberMe.php (293): ipl\Sgl\Connection->delete (String, Array)

#3 /usr/share/php/Icinga/Web/RememberMe.php (84): Icinga\Web\RememberMe->remove (String)

#4 /usr/share/icingaweb2/application/controllers/AuthenticationController.php (63): Icinga\Web\Reme
mberMe: : forget ()

#5 /usr/share/icingaweb2/library/vendor/Zend/Controller/Action.php(507): Icingal\Controllers\Authen
ticationController->loginAction ()

#6 /usr/share/php/Icinga/Web/Controller/Dispatcher.php(76): Zend_Controller_ Action->dispatch(Strin
g)

#7 /usr/share/icingaweb2/library/vendor/Zend/Controller/Front.php(937): Icinga\Web\Controller\Disp
atcher—->dispatch (Object (Icinga\Web\Request), Object (Icinga\Web\Response))

#8 /usr/share/php/Icinga/Application/Web.php (304): Zend_Controller_ Front->dispatch (Object (Icinga\W
eb\Request), Object (Icinga\Web\Response))

#9 /usr/share/php/Icinga/Application/webrouter.php(107): Icingal\Application\Web->dispatch ()

#10 /usr/share/icingaweb2/public/index.php(4): require_once (String)

#11 {main}
History

#1 - 09/09/2021 11:48 PM - Romain H.

J'ai exécuté les scripts d'upgrade du schéma dans :

® /usr/share/icingaweb2/etc/schema/mysql-upgrades/2.9.0.sql
e /usr/share/icingaweb2/etc/schema/mysqgl-upgrades/2.9.1.sq|

# mysql
use icingaweb2

CREATE TABLE " icingaweb_rememberme’ (

id int (10) unsigned NOT NULL AUTO_INCREMENT,

username varchar (254) COLLATE utf8mb4_unicode_ci NOT NULL,
passphrase varchar (256) NOT NULL,

random_iv varchar (24) NOT NULL,

http_user_agent text NOT NULL,

expires_at timestamp NULL DEFAULT NULL,

ctime timestamp NULL DEFAULT NULL,

mtime timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,

PRIMARY KEY (id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;
https://icinga.chapril.org/

ALTER TABLE " icingaweb_rememberme’
MODIFY random_iv varchar (32) NOT NULL;

#2 - 09/10/2021 01:33 AM - Christian P. Momon
- Status changed from Nouveau to Résolu

- Assignee set to Romain H.

Je confirme que ¢a refonctionne bien. Bravo \o/

#3 - 10/06/2021 10:16 PM - Quentin Gibeaux

- Status changed from Résolu to Fermé
